# PluginRequest

interface PluginRequest

Contains information about a plugin that has been requested for resolution.

#### Since

3.5

## Functions

getId
Link copied to clipboard
abstract fun getId(): PluginId
The ID of the plugin requested.
getModule
Link copied to clipboard
@Nullable
abstract fun getModule(): @Nullable ModuleVersionSelector
The implementation module of the plugin if one was explicitly specified, otherwise null.
getVersion
Link copied to clipboard
@Nullable
abstract fun getVersion(): @Nullable String
The version of the plugin if one was specified, otherwise null.